====>> Building graphics/libfpx
build started at Mon Sep  2 02:11:46 EDT 2013
port directory: /usr/ports/graphics/libfpx
building for: FreeBSD N40L-default-job-01 9.1-RELEASE FreeBSD 9.1-RELEASE i386
maintained by: mi@aldan.algebra.com
Makefile ident:      $FreeBSD: graphics/libfpx/Makefile 325934 2013-09-02 05:22:58Z mi $
Poudriere version: 3.0.4

---Begin Environment---
OSVERSION=901000
UNAME_v=FreeBSD 9.1-RELEASE
UNAME_r=9.1-RELEASE
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/N40L-default/ref
PKG_EXT=txz
FORCE_PACKAGE=yes
tpid=30478
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
NBPARALLEL=2
PKGNG=1
PKGNAME=libfpx-1.3.1.2
PKG_DELETE=/usr/local/sbin/pkg delete -y -f
PKG_ADD=/usr/local/sbin/pkg add
PWD=/usr/home/kenta
MASTERNAME=N40L-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.0.4
SKIPSANITY=0
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh PATH=/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin CCACHE_DIR="/root/.ccache"
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local LOCALBASE=/usr/local LIBDIR="/usr/lib" CC="clang" CPP="clang-cpp" CPPFLAGS="" LDFLAGS="" CXX="clang++" MANPREFIX="/usr/local" PATH=/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin CCACHE_DIR="/root/.ccache" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555" BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555" BSD_INSTALL_DATA="install  -o root -g wheel -m 444" BSD_INSTALL_MAN="install  -o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/libfpx
DOCSDIR=/usr/local/share/doc/libfpx
EXAMPLESDIR=/usr/local/share/examples/libfpx
WWWDIR=/usr/local/www/libfpx
ETCDIR=/usr/local/etc/libfpx
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
WITH_CCACHE_BUILD=yes
CCACHE_DIR=/root/.ccache
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
CC=clang
CXX=clang++
CPP=clang-cpp
CPUTYPE?=i686
CFLAGS+= -Os -Qunused-parameter -Qunused-arguments
WITH_PKGNG=yes
WITH_CCACHE_BUILD=yes
WITH_OPTIONS=yes
OPTIONS_UNSET= DEBUG HELP STATIC GNUTLS DOCS EXAMPLES IPV6 \
	       PTH IDN LIBIDN NLS PULSEAUDIO JAVA MANPAGES \
	       DOCBOOK CUPS TESTS HTMLDOCS BONJOUR GSSAPI \
	       APIDOCS
FETCH_BEFORE_ARGS=-pv4 -T 10
MASTER_SITE_BACKUP?= \
http://mirror.symnds.com/FreeBSD/ports/distfiles/${DIST_SUBDIR/}
#MASTER_SITE_OVERRIDE?=${MASTER_SITE_BACKUP}
.if ${.CURDIR}=="/usr/ports/editors/vim"
WITH_VIM_OPTIONS=yes
WITHOUT_X11=yes
.endif
.if ${.CURDIR}=="/usr/ports/net/tightvnc"
CC=gcc
CXX=g++
.endif
DISABLE_MAKE_JOBS=yes
---End make.conf---
===>  Cleaning for libfpx-1.3.1.2
=======================<phase: check-config   >============================
=========================================================================
=======================<phase: pkg-depends    >============================
===>   libfpx-1.3.1.2 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_1.txz
Installing pkg-1.1.4_1... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of libfpx-1.3.1.2
=========================================================================
=======================<phase: fetch-depends  >============================
=========================================================================
=======================<phase: fetch          >============================
=> libfpx-1.3.1-2.tar.xz doesn't seem to exist in /distfiles/.
=> Attempting to fetch http://imagemagick.mirrorcatalogs.com/delegates/libfpx-1.3.1-2.tar.xz
looking up imagemagick.mirrorcatalogs.com
connecting to imagemagick.mirrorcatalogs.com:80
requesting http://imagemagick.mirrorcatalogs.com/delegates/libfpx-1.3.1-2.tar.xz
remote size / mtime: 1892952 / 1349437030
libfpx-1.3.1-2.tar.xz                                 1848 kB  622 kBps
===> Fetching all distfiles required by libfpx-1.3.1.2 for building
=========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by libfpx-1.3.1.2 for building
=> SHA256 Checksum OK for libfpx-1.3.1-2.tar.xz.
=========================================================================
=======================<phase: extract-depends>============================
=========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by libfpx-1.3.1.2 for building
===>  Extracting for libfpx-1.3.1.2
=> SHA256 Checksum OK for libfpx-1.3.1-2.tar.xz.
=========================================================================
=======================<phase: patch-depends  >============================
=========================================================================
=======================<phase: patch          >============================
===>  Patching for libfpx-1.3.1.2
===>  Applying FreeBSD patches for libfpx-1.3.1.2
/usr/bin/sed -i '' -e '/^#include "fpxlib-config.h"/d'	 /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/filename.cpp	 /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/owchar.h	 /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/gen_guid.cpp	 /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpxlib.h
=========================================================================
=======================<phase: build-depends  >============================
===>   libfpx-1.3.1.2 depends on file: /usr/local/bin/ccache - not found
===>    Verifying install for /usr/local/bin/ccache in /usr/ports/devel/ccache
===>   Installing existing package /packages/All/ccache-3.1.9_2.txz
Installing ccache-3.1.9_2...Create compiler links...
create symlink for cc
create symlink for cc (world)
create symlink for c++
create symlink for c++ (world)
create symlink for gcc
create symlink for gcc (world)
create symlink for g++
create symlink for g++ (world)
create symlink for clang
create symlink for clang (world)
create symlink for clang++
create symlink for clang++ (world)
 done

NOTE:
Please read /usr/local/share/doc/ccache/ccache-howto-freebsd.txt for 
information on using ccache with FreeBSD ports and src.
===>   Returning to build of libfpx-1.3.1.2
=========================================================================
=======================<phase: lib-depends    >============================
=========================================================================
=======================<phase: configure      >============================
===>  Configuring for libfpx-1.3.1.2
=========================================================================
=======================<phase: build          >============================
===>  Building for libfpx-1.3.1.2
Warning: Object directory not changed from original /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/geometry.cpp -o geometry.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/debug.cpp -o debug.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/color.cpp -o color.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/common_b.cpp -o common_b.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/graphic.cpp -o graphic.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/b_string.cpp -o b_string.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/a_file.cpp -o a_file.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics/filename.cpp -o filename.o
clang++  -O2 -pipe -Os -Qunused-parameter -Qunused-arguments -march=pentiumpro -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -Qunused-arguments -fstack-protector -Werror -Wall -Wno-format-y2k -W -Wno-unused-parameter -Wpointer-arith -Wno-uninitialized -Wno-empty-body -Wno-string-plus-int -Wno-tautological-compare -Wno-unused-value -Wno-parentheses-equality -Wno-unused-function -Wno-conversion -fno-rtti -fno-exceptions -fno-strict-aliasing -DHAVE_WCHAR_H -DHAVE_DLFCN_H -DHAVE_SYS_TIME_H -DHAVE_SYS_PARAM_H -DHAVE_SYS_MOUNT_H -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/jpeg -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/basics -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ri_image -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/fpx -I/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/. -I/usr/local/include -D_UNIX -c /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/oleprops.cpp -o oleprops.o
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/oleprops.cpp:1:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/oleprops.cpp:32:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/olecomm.h:49:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/exphead.cxx:23:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/msf.hxx:130:
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/fat.hxx:368:63: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (FindMaxSect(&_sectMax)))<0)) { sc = sc; goto Err;} while(0);
                                                           ~~ ^ ~~
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/oleprops.cpp:1:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/oleprops.cpp:32:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/olecomm.h:49:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/exphead.cxx:25:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/expdf.hxx:32:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/cdocfile.hxx:16:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/handle.hxx:20:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/msffunc.hxx:19:
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:269:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:301:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:316:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:329:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:343:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:356:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:370:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/dirfunc.hxx:386:75: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
    do if (((HRESULT)(sc = (GetDirEntry(sid, 0x00000000, &pde)))<0)) { sc = sc; goto Err;} while(0);
                                                                       ~~ ^ ~~
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/oleprops.cpp:1:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/oleprops.cpp:32:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/ole/olecomm.h:50:
In file included from /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/msfhead.cxx:22:
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/vectfunc.hxx:106:86: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
        do if (((HRESULT)(sc = (_pmpt->FindPage(this, _sid, iTable, &pmp)))<0)) { sc = sc; goto Err;} while(0);
                                                                                  ~~ ^ ~~
/wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2/oless/h/vectfunc.hxx:147:86: error: explicitly assigning a variable of type 'SCODE' (aka 'int') to itself [-Werror,-Wself-assign]
        do if (((HRESULT)(sc = (_pmpt->FindPage(this, _sid, iTable, &pmp)))<0)) { sc = sc; goto Err;} while(0);
                                                                                  ~~ ^ ~~
11 errors generated.
*** [oleprops.o] Error code 1

Stop in /wrkdirs/usr/ports/graphics/libfpx/work/libfpx-1.3.1-2.
*** [do-build] Error code 1

Stop in /usr/ports/graphics/libfpx.
===>  Cleaning for libfpx-1.3.1.2
build of /usr/ports/graphics/libfpx ended at Mon Sep  2 02:12:14 EDT 2013
build time: 00:00:28
